Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.core
Enum Commands.CmdSet

    java.lang.Object
      java.lang.Enum<Commands.CmdSet>
          org.basex.core.Commands.CmdSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Commands.CmdSet>

Enclosing interface:
  Commands

    public static enum Commands.CmdSet

extends java.lang.Enum<Commands.CmdSet>

Set command definitions.

Enum Constant Summary
`ATTRINDEX`
`CHOP`
`DEBUG`
`ENTITY`
`FTINDEX`
`INFO`
`MAINMEM`
`SERIALIZE`
`TEXTINDEX`
`XMLOUTPUT`

Method Summary
`static Commands.CmdSet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Commands.CmdSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFO

    public static final Commands.CmdSet INFO

### DEBUG

    public static final Commands.CmdSet DEBUG

### SERIALIZE

    public static final Commands.CmdSet SERIALIZE

### XMLOUTPUT

    public static final Commands.CmdSet XMLOUTPUT

### MAINMEM

    public static final Commands.CmdSet MAINMEM

### CHOP

    public static final Commands.CmdSet CHOP

### ENTITY

    public static final Commands.CmdSet ENTITY

### TEXTINDEX

    public static final Commands.CmdSet TEXTINDEX

### ATTRINDEX

    public static final Commands.CmdSet ATTRINDEX

### FTINDEX

    public static final Commands.CmdSet FTINDEX

Method Detail

### values

    public static Commands.CmdSet[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Commands.CmdSet c : Commands.CmdSet.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Commands.CmdSet valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD